Package com.sun.jna.platform.win32

## Class WinPerf.PERF_COUNTER_BLOCK

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.WinPerf.PERF_COUNTER_BLOCK

Enclosing interface:
  WinPerf

    @FieldOrder("ByteLength")
    public static class WinPerf.PERF_COUNTER_BLOCK
    extends Structure

Describes the block of memory that contains the raw performance counter data for an object's counters.

See Also:
  PERF_COUNTER_BLOCK

### Nested Class Summary

### Nested classes/interfaces inherited from class com.sun.jna.Structure

`Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

### Field Summary

Fields
`int` `ByteLength`

### Fields inherited from class com.sun.jna.Structure

`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

### Constructor Summary

Constructors
`PERF_COUNTER_BLOCK()`
`PERF_COUNTER_BLOCK​(Pointer p)`

### Method Summary

### Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### ByteLength

    public int ByteLength

### Constructor Detail

#### PERF_COUNTER_BLOCK

    public PERF_COUNTER_BLOCK()

#### PERF_COUNTER_BLOCK

    public PERF_COUNTER_BLOCK​(Pointer p)